'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _isReactProp = require('is-react-prop');

var _isReactProp2 = _interopRequireDefault(_isReactProp);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var filterProps = function filterProps(props) {
  return Object.keys(props).filter(function (prop) {
    return (0, _isReactProp2.default)(prop);
  }).reduce(function (filtered, prop) {
    filtered[prop] = props[prop];

    return filtered;
  }, {});
};

exports.default = filterProps;