'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.when = undefined;

var _when = require('rockey/when');

var _when2 = _interopRequireDefault(_when);

var _insert = require('rockey/insert');

var _insert2 = _interopRequireDefault(_insert);

var _condition = require('rockey/condition');

var _condition2 = _interopRequireDefault(_condition);

var _RockeyHoc = require('./RockeyHoc');

var _assignShortcuts = require('./assignShortcuts');

var _assignShortcuts2 = _interopRequireDefault(_assignShortcuts);

var _look = require('./look');

var _look2 = _interopRequireDefault(_look);

var _handler = require('./handler');

var _handler2 = _interopRequireDefault(_handler);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var RockeyHoc = (0, _RockeyHoc.getRockeyHoc)();

var RootRockeyHoc = function RootRockeyHoc() {
  var displayName = null;
  var BaseComponent = null;
  var css = null;

  // TODO: check types
  if (arguments.length === 1) {
    BaseComponent = arguments.length <= 0 ? undefined : arguments[0];
    css = arguments.length <= 1 ? undefined : arguments[1];
  } else {
    displayName = arguments.length <= 0 ? undefined : arguments[0];
    BaseComponent = arguments.length <= 1 ? undefined : arguments[1];
    css = arguments.length <= 2 ? undefined : arguments[2];
  }

  return RockeyHoc(BaseComponent, {
    displayName: displayName,
    css: css
  });
};

RootRockeyHoc.look = _look2.default;
RootRockeyHoc.when = _when2.default;
RootRockeyHoc.condition = _condition2.default;
RootRockeyHoc.insert = _insert2.default;
RootRockeyHoc.handler = _handler2.default;

(0, _assignShortcuts2.default)(RootRockeyHoc);

exports.default = RootRockeyHoc;
exports.when = _when2.default;